/* F.T. Liu
 * Demonstration program for comp 1672
 * 1/10/03
 * Shows some of the utilities available in the string class
 */

#include <iostream>
#include <string>
using namespace std;

int main()
{
	string str1("testfile"), str2(".txt"), str3;
	string name1("Jane"), name2("Abigail");

	// Look, you can actually ADD strings together!
	str3 = str1+str2;
	cout << str1 << " + " << str2 << " = " << str3 << endl;

	// Look, you can COMPARE strings!
	cout << "Here are the two names in alphabetic order: ";
	if (name1 < name2)
		cout << name1 << " " << name2 << endl;
	else
		cout << name2 << " " << name1 << endl;

	// You can find out the length of a string:
	cout << "The name " <<name1<< " has " << name1.length() << " letters\n";
	cout << "The name " <<name2<< " has " << name2.length() << " letters\n";

	// You can access individual characters in a string:
	cout << "The 1st letter in the name " << name1 << " is " <<
	      name1[0] << endl;;
	cout << "The 6th letter in the name " << name2 << " is " <<
	      name2[5] << endl;;
	
	// What follows is a programming error - you should never access
	// a character past the end of a string.  Use name1.length() to
	// find out how many characters are valid.
	cout << "The 32nd letter in the name " << name1 << " is " <<
	      name1[32] << endl;

	return 0;
}
